% I/staves.ly
% para Full Score, only mvt I

marklineStaffI = \new MarkLine \with {
  \override VerticalAxisGroup.staff-affinity = ##f
  \override VerticalAxisGroup.staff-staff-spacing =
  #'((basic-distance . 11)
     (minimum-distance . 10)
     (padding. 1)
     (stretchability . 0.01))
}
{
  %figuras en el denominador
  \override MarkLine.TimeSignature.stencil = #format-time-sig-note
  \globalI
}

piccoloStaffI_transposed = \new Staff \with {
  instrumentName = "Flautín"
  shortInstrumentName = "Fln."
  midiInstrument = "piccolo"
 %\consists "Tuplet_engraver"
} << \globalI { \common  \piccoloI } >>


fluteStaffOneI = \new Staff \with {
  instrumentName = "Flauta 1"
  shortInstrumentName = "Fl. 1"
  midiInstrument = "flute"
}  << \globalI { \common \fluteOneI } >>

fluteStaffTwoI = \new Staff \with {
  instrumentName = "Flauta 2"
  shortInstrumentName = "Fl. 2"
  midiInstrument = "flute"
} << \globalI { \common \fluteTwoI } >>

fluteStaffCombinedI = \new Staff \with {
  instrumentName = "2 Flautas"
  shortInstrumentName = \markup\vcenter{ "Fl." \center-column{1 2}}
  midiInstrument = "flute"
  printPartCombineTexts = ##f
 % \consists "Tuplet_engraver"
} << \globalI \partcombine{\common\fluteOneI}{\common\fluteTwoI } >>


% grupo de flautas
fluteGroupStaffI_transposed = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare %cuadrado
} <<
  \piccoloStaffI_transposed
  \fluteStaffCombinedI
>>



oboeStaffOneI = \new Staff \with {
  instrumentName = "Oboe 1"
  shortInstrumentName = "Ob. 1"
  midiInstrument = "oboe"
}  {
  % evitar que se ignore \override MultiMeasureRest.expand-limit = #1
  % para una de las voces
  << \globalI {\common\oboeOneI} >>
}

oboeStaffTwoI = \new Staff \with {
  instrumentName = "Oboe 2"
  shortInstrumentName = "Ob. 2"
  midiInstrument = "oboe"
}  {
  % evitar que se ignore \override MultiMeasureRest.expand-limit = #1
  % para una de las voces
  << \globalI {\common\oboeTwoI} >>
}

oboeStaffCombinedI = \new Staff \with {
  instrumentName = "2 Oboes"
  shortInstrumentName = \markup\vcenter{ "Ob." \center-column{1 2}}
  midiInstrument = "oboe"
  printPartCombineTexts = ##f
}  <<
  \globalI {
    % evitar que se ignore \override MultiMeasureRest.expand-limit = #1
    % para una de las voces
    \partcombine {\common\oboeOneI} {\common\oboeTwoI}
  }
>>

clarinetStaffOneI_transposed = \new Staff \with {
  instrumentName = "Clarinete 1"
  shortInstrumentName = "Cl. 1"
  midiInstrument = "clarinet"
} << \globalI { \common \clarinetOneI } >>

clarinetStaffTwoI_transposed = \new Staff \with {
  instrumentName = "Clarinete 2"
  shortInstrumentName = "Cl. 2"
  midiInstrument = "clarinet"
} << \globalI { \common \clarinetTwoI } >>

clarinetStaffCombinedI_transposed = \new Staff \with {
  instrumentName = "2 Clarinetes"
  shortInstrumentName = \markup\vcenter{ "Cl." \center-column{1 2}}
  midiInstrument = "clarinet"
  printPartCombineTexts = ##f
} << \globalI \partcombine{\common\clarinetOneI }{\common\clarinetTwoI } >>

bassClarinetStaffI_transposed = \new Staff \with {
  instrumentName = \markup\concat{"Cl. Bajo (Si" \flat ")"}
  shortInstrumentName = "Cl.B"
  midiInstrument = "clarinet"
} << \globalI { \common \transpose c c' \BclarinetI } >>

bassoonStaffOneI = \new Staff \with {
  instrumentName = "Fagot 1"
  shortInstrumentName = "Fg. 1"
  midiInstrument = "bassoon"
} << \globalI { \common  \clef bass \bassoonOneI } >>

bassoonStaffTwoI = \new Staff \with {
  instrumentName = "Fagot 2"
  shortInstrumentName = "Fg. 2"
  midiInstrument = "bassoon"
} << \globalI { \common  \clef bass \bassoonTwoI } >>

bassoonStaffCombinedI = \new Staff \with {
  % \consists "Tuplet_engraver"
  instrumentName = "2 Fagotes"
  shortInstrumentName =\markup\vcenter{"Fg."\center-column{1 2}}
  midiInstrument = "bassoon"
  printPartCombineTexts = ##f
} << \globalI \partcombine
     {\common \clef bass \bassoonOneI}
     {\common \clef bass \bassoonTwoI } >>

contrabassoonStaffI_transposed = \new Staff \with {
  instrumentName = "Contrafagot"
  shortInstrumentName = "CFg."
  midiInstrument = "baritone sax"
} << \globalI { \common \clef bass \contraBassoonI } >>

frenchHornOneThreeStaffI_transposed = \new Staff \with {
  instrumentName = \markup{\center-column{1 3}}
  shortInstrumentName = \markup{\center-column{1 3}}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
} << \globalI { \common \partcombine\frenchHornOneI \frenchHornThreeI } >>

frenchHornTwoFourStaffI_transposed = \new Staff \with {
  instrumentName = \markup{\center-column{2 4}}
  shortInstrumentName = \markup{\center-column{2 4}}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
} << \globalI { \common \partcombine\frenchHornTwoI\frenchHornFourI } >>

frenchHornsGroupStaffI_transposed = \new GrandStaff \with {
  instrumentName = "4 Trompas"
  shortInstrumentName = "Tpa. "
} <<
  \frenchHornOneThreeStaffI_transposed
  \frenchHornTwoFourStaffI_transposed
>>

trumpetStaffI_transposed = \new Staff \with {
  instrumentName = \markup\concat{"2 Trompetas (Si" \flat ")"}
  shortInstrumentName =\markup\vcenter{ "Tpt." \center-column{ 1 2 }}
  midiInstrument = "trumpet"
  printPartCombineTexts = ##f
} << \globalI { \common \partcombine\trumpetOneI\trumpetTwoI } >>

tromboneStaffI = \new Staff \with {
  instrumentName = "2 Trombones"
  shortInstrumentName = \markup\vcenter{ "Tbn." \center-column{ 1 2 } }
  midiInstrument = "trombone"
  printPartCombineTexts = ##f
} <<
  \globalI {
    \common  \clef bass
    \partcombine\tromboneOneI\tromboneTwoI
  }
>>

% grupo de metales
brassStaffGroupI = \new StaffGroup <<
  \frenchHornsGroupStaffI_transposed
  \trumpetStaffI_transposed
  \tromboneStaffI
>> %fin metales

%%%%%%% Crótalos
crotalosStaffI = \new DrumStaff
\with {
  instrumentName = "2 Crótalos Re, Fa"
  shortInstrumentName = "Cró."
  drumStyleTable = #(alist->hash-table tablaCrotalos)
  % \override VerticalAxisGroup.staff-staff-spacing =
  % #'((basic-distance . 0)
  %    (minimum-distance . 0)
  %    (padding . 1)
  %    (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  %\override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) % alargar divisorias
  << \globalI {\common \crotalosI } >>
}

% Plato con maza
stickCymbalStaffI = \new DrumStaff
\with {
  instrumentName = #"Plato con maza"
  shortInstrumentName = "Pla."
  drumStyleTable = #(alist->hash-table cymbaltable)
  %   \override StaffGrouper.staffgroup-staff-spacing =
  %   #'((basic-distance . 0)
  %      (minimum-distance . 0)
  %      (padding . 1)
  %      (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  %\override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) % alargar divisorias
  << \globalI {\common \platoI } >>
}


%%%%%%% Triángulo
triangleStaffI = \new DrumStaff
\with {
  instrumentName = #"Triángulo"
  shortInstrumentName = "Tri."
  drumStyleTable = #(alist->hash-table clashcymbalstable)
  %   \override VerticalAxisGroup.staff-staff-spacing =
  %   #'((basic-distance . 0)
  %      (minimum-distance . 0)
  %      (padding . 1)
  %      (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  %\override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) % alargar divisorias
  << \globalI { \common \triangleI } >>
}


% Clash Cymbals
clashCymbalStaffI = \new DrumStaff
\with {
  instrumentName = #"Platillos"
  shortInstrumentName = "Pla."
  drumStyleTable = #(alist->hash-table clashcymbalstable)
  %  \override VerticalAxisGroup.staff-staff-spacing =
  %   #'((basic-distance . 0)
  %      (minimum-distance . 0)
  %      (padding . 1)
  %      (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  %\override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) % alargar divisorias
  << \globalI {\common \clashCymI } >>
}


cajaStaffI = \new DrumStaff %1 caja, con bord.
\with {
  \RemoveEmptyStaves
  instrumentName = "Caja con bordón"
  shortInstrumentName = "Cj."
  drumStyleTable = #percussion-style % hc para negra normal
  % no. demasiado junto
  %   \override VerticalAxisGroup.staff-staff-spacing =
  %   #'((basic-distance . 0)
  %      (minimum-distance . 0)
  %      (padding . 1)
  %      (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  \override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) %alargar divisorias
  {\common \cajaI }
}



%Tamtam
tamtamStaffI = \new DrumStaff
\with {
  instrumentName = #"Tam-tam grande"
  shortInstrumentName = "T-t."
  drumStyleTable = #(alist->hash-table tamtamtable)
  %   \override VerticalAxisGroup.staff-staff-spacing =
  %   #'((basic-distance . 0)
  %      (minimum-distance . 0)
  %      (padding . 1)
  %      (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  %\override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) %alargar divisorias
  << \globalI {\common \tamtamI }  >>
}

bassDrumStaffI = \new DrumStaff %BassDrum
\with {
  instrumentName = #"Bombo"
  shortInstrumentName = "Bom."
  drumStyleTable = #(alist->hash-table bassdrumtable)
  %  \override VerticalAxisGroup.staff-staff-spacing =
  %   #'((basic-distance . 0)
  %      (minimum-distance . 0)
  %      (padding . 1)
  %      (stretchability . 10))
}
\drummode {
  \override Staff.StaffSymbol.line-positions = #'( 0 )
  %\override Staff.BarLine.bar-extent = #'(-1.5 . 1.5) %alargar divisorias
  << \globalI {\common \bassDrumI } >>
}

%%%%%%%%%%%%%%%%%%%% Tubular Bells
tubularBellsStaffI = \new Staff
\with {
  instrumentName = "Campanas tubulares"
  shortInstrumentName = "C.Tub."
  midiInstrument = "tubular bells"
}
<< \globalI {\common \tubularBellsI } >>

percussionGroupStaffI =  \new StaffGroup
<<
  \crotalosStaffI
  \stickCymbalStaffI
  \triangleStaffI
  \cajaStaffI
  \bassDrumStaffI
  \tamtamStaffI
  \tubularBellsStaffI
>>

%%%%%%%%%%%%%%%%%%%% Timpani
timpaniStaffI = \new Staff
\with {
  instrumentName = "Timbales"
  shortInstrumentName = "Tim."
  midiInstrument = "timpani"
}
<< \globalI {\common \clef bass \timpaniI } >>



pianoOneStaffI = \new PianoStaff  \with {
  instrumentName = "Piano 1"
  shortInstrumentName = "P.1"
  midiInstrument = "acoustic grand"
}
<<
  \new Staff ="poneUP" <<  \globalI { \common \pianoOneMdI } >>
  \new Staff ="poneDOWN" {
    \common \clef bass
    \new Voice \with { \consists Tuplet_engraver } << \globalI \pianoOneMiI >>
  }
>>

pianoTwoStaffI = \new PianoStaff  \with {
  instrumentName = "Piano 2"
  shortInstrumentName = "P.2"
  midiInstrument = "acoustic grand"
}
<<
  \new Staff ="ptwoUP" << \globalI { \common \pianoTwoMdI } >>
  \new Staff ="ptwoDOWN" << \globalI { \common \clef bass \pianoTwoMiI } >>
>>

violinOneStaffI = \new Staff \with {
  instrumentName = "Violines I"
  shortInstrumentName = "Vln.I"
  midiInstrument = "violin"
} << \globalI { \common \violinOneI } >>

violinTwoStaffI = \new Staff \with {
  instrumentName = "Violines II"
  shortInstrumentName = "Vln.II"
  midiInstrument = "violin"
} << \globalI { \common \violinTwoI } >>

violaStaffI = \new Staff \with {
  instrumentName = "Violas"
  shortInstrumentName = "Vla."
  midiInstrument = "viola"
} << \globalI { \common \clef alto \violaI } >>

celloStaffI = \new Staff \with {
  instrumentName = "Violoncellos"
  shortInstrumentName = "Vcl."
  midiInstrument = "cello"
}  << \globalI { \common \clef bass \celloI } >>

contrabassStaffI = \new Staff \with {
  instrumentName = "Contrabajos"
  shortInstrumentName = "Cbj."
  midiInstrument = "contrabass"
} << \globalI { \common \clef "F_8" \transpose c' c \doubleBassI } >>

%cuerdas
stringGroupStaffI = \new StaffGroup <<
  \violinOneStaffI
  \violinTwoStaffI
  \violaStaffI
  \celloStaffI
  \contrabassStaffI
>>



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% In C

% in C
piccoloStaffI = \new Staff \with {
  instrumentName = "Flautín"
  shortInstrumentName = "Fln."
  midiInstrument = "piccolo"
} << \globalI { \common \clef "G^8" \transpose c c' \piccoloI } >>

% in C
% grupo de flautas
fluteGroupStaffI = \new StaffGroup \with {
  %corchete cuadrado
  systemStartDelimiter = #'SystemStartSquare %cuadrado
} <<
  %\piccoloStaffI
  \fluteStaffCombinedI
>>

% in C
clarinetStaffI = \new Staff \with {
  instrumentName = "2 Clarinetes"
  shortInstrumentName = \markup\vcenter{ "Cl." \center-column{1 2}}
  midiInstrument = "clarinet"
  printPartCombineTexts = ##f
} <<
  \globalI {
    \common \partcombine
    {\transpose c' bes \clarinetOneI}
    {\transpose c' bes \clarinetTwoI}
  }
>>

% in C
% transportado para que esté en DO
bassClarinetStaffI = \new Staff \with {
  instrumentName = \markup\concat{"Cl. Bajo (Si" \flat ")"}
  shortInstrumentName = "Cl.B"
  midiInstrument = "clarinet"
} << \globalI { \common \transpose c' bes' \BclarinetI } >>

% in C
% clarinetes
clarinetGroupStaffI = \new GrandStaff <<
  \clarinetStaffI
  %\bassClarinetStaffI
>>

% in C
% englishHornStaffI = \new Staff \with {
%   instrumentName = "Corno inglés"
%   shortInstrumentName = "Cor."
%   midiInstrument = "english horn"
% } { \common \transpose c' f \englishHornI }

% in C
contrabassoonStaffI = \new Staff \with {
  instrumentName = "Contrafagot"
  shortInstrumentName = "CFg."
  midiInstrument = "baritone sax"
} << \globalI { \common \clef "F_8" \transpose c' c \contraBassoonI } >>

% in C
frenchHornOneThreeStaffI = \new Staff \with {
  instrumentName = \markup{\center-column{1 3}}
  shortInstrumentName = \markup{\center-column{1 3}}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
} <<
  \globalI {
    \common \transpose c' f
    \partcombine \frenchHornOneI \frenchHornThreeI
  }
>>

% in C
frenchHornTwoFourStaffI = \new Staff \with {
  instrumentName = \markup{\center-column{2 4}}
  shortInstrumentName = \markup{\center-column{2 4}}
  midiInstrument = "french horn"
  printPartCombineTexts = ##f
} << \globalI { \common \transpose c' f \partcombine\frenchHornTwoI \frenchHornFourI  } >>

% in C
frenchHornsGroupStaffI = \new GrandStaff \with {
  instrumentName = "4 Trompas"
  shortInstrumentName = "Tpa. "
} <<
  \frenchHornOneThreeStaffI
  \frenchHornTwoFourStaffI
>>

% in C
trumpetStaffI = \new Staff \with {
  instrumentName = \markup\concat{"2 Trompetas (Si" \flat ")"}
  shortInstrumentName = \markup\vcenter{"Tpt."\center-column{ 1 2 } }
  midiInstrument = "trumpet"
  printPartCombineTexts = ##f
} <<
  \globalI {
    \common \transpose c' bes
    \partcombine\trumpetOneI\trumpetTwoI
  }
>>

contrabassStaffI_transposed = \new Staff \with {
  instrumentName = "Contrabajos"
  shortInstrumentName = "Cbj."
  midiInstrument = "contrabass"
} << \globalI { \common \clef bass \doubleBassI } >>

stringGroupStaffI_transposed = \new StaffGroup <<
  \violinOneStaffI
  \violinTwoStaffI
  \violaStaffI
  \celloStaffI
  \contrabassStaffI_transposed
>>
